.. _metrics-api:

Metrics
=========

.. automodule:: torch.distributed.elastic.metrics


Metric Handlers
-----------------

.. currentmodule:: torch.distributed.elastic.metrics.api

Below are the metric handlers that come included with torchelastic.

.. autoclass:: MetricHandler

.. autoclass:: ConsoleMetricHandler

.. autoclass:: NullMetricHandler



Methods
------------

.. autofunction:: torch.distributed.elastic.metrics.configure

.. autofunction:: torch.distributed.elastic.metrics.prof

.. autofunction:: torch.distributed.elastic.metrics.put_metric
